LP(1)

NAME
lp - front-end to the print spooler

SYNOPSIS
lp [-cs] [-d printer] [-n num] [-o option] [file ...]

DESCRIPTION
lp is a front-end to the print spooler as required by the p1003.2 specification. It effectively invokes lpr(1) with the proper set of arguments. It generally prints the named files on the destination printer.

The following options are available:

-c  Make the lp command exit only after further access to any of the input files is no longer required. The application can then safely delete or modify the files without affecting the output operation.

-d printer
    Specify a particular printer. If no -d is provided on the command line, the contents of the environment variables LPDEST or PRINTER (with this precedence) are taken as the destination printer.

-n num
    Specify that num copies of each of the named files shall be printed.

-o option
    Printer specific options. Not supported, provided only as a compatibility option for SVR4.

-s  Silent operation.

ENVIRONMENT
As described above, the variables LPDEST and PRINTER are examined to select the destination printer.

SEE ALSO
lpr(1)

STANDARDS
The lp command is expected to comply with the p1003.2 specification.

AUTHORS
This implementation of the lp command has been written by Jörg Wunsch.

BUGS
The p1003.2 specification does not provide any means to print non-text files. It rather requires the files to be printed to be text files limited to reasonable line lengths and printable characters.